Debian Bug report logs - #404950
[mips] Disk is advertised as partition on SWARM (Broadcom BCM91250a)

Package: partman-base; Maintainer for partman-base is Debian Install System Team <debian-boot@lists.debian.org>; Source for partman-base is src:partman-base.

Reported by: Karsten Merker <merker@debian.org>

Date: Fri, 29 Dec 2006 15:48:02 UTC

Severity: normal

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: submit@bugs.debian.org
Subject: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 29 Dec 2006 16:09:44 +0100 (MET)
Package: installation-reports
Severity: grave

Boot method: netboot
Image version: Etch RC1,
http://ftp.nl.debian.org/debian/dists/testing/main/installer-mips/rc1/images/sb1-bcm91250a/netboot/

Date: 2006-12-29

Machine: Broadcom BCM91250a "SWARM", mips/big-endian mode,
         256MB RAM, serial console, IDE disk

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [ ]
Load installer modules: [O]
Detect hard drives:     [E]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]


Comments/Problems:
==================

In the step "detecting hard drives" a reproducible kernel panic
occurs (log follows below).

RC1 uses a 2.6.17 kernel. Not sure whether this is relevant in
this case, but according to the git commit logs there have been
changes to the SWARM IDE code in the Linux/MIPS tree with regard
to 2.6.17 and 2.6.18 in November/December 2006.


Kernel panic log:
=================

  ? Break instruction in kernel code[#1]:
?
Cpu 1
?
$ 0   : 0000000000000000 ffffffff80480000 0000000000000001
0000000000000000??
$ 4   : ffffffff80513088 0000000010001fe1 ffffffffffffffff ffffffff80513590
$ 8   : 0000000000001b00 ffffffffffff9b00 000000000000b704 0000000000000004
$12   : 0000000000000000 ffffffff802d4bac fffffffffffffffc ffffffff80423898
$16   : ffffffff8053c2e0 0000000000009008 ffffffff8053c300 0000000000000008
$20   : a800000000874000 0000000000000001 a800000000874070 0000000000009008
$24   : 0000000000000000 0000000000000030
$28   : a800000000850000 a800000000853c50 ffffffff8053b6c0 ffffffff80336b2c
Hi    : 00000000000271e9
Lo    : 000000000000d0a3
epc   : ffffffff80337af4 ide_setup_dma+0x2b4/0x690     Not tainted
ra    : ffffffff80336b2c ide_pci_setup_ports+0x8bc/0x8c8
Status: 10001fe3    KX SX UX KERNEL EXL IE
Cause : 00808024
PrId  : 03040102
Modules linked in: it821x usbhid usbkbd uhci_hcd ehci_hcd ohci_hcd usbcore
pm2fb cfbcopyarea cfbimgblt cfbfillrect
Process modprobe (pid: 7358, threadinfo=a800000000850000,
task=a800000000688da8)
Stack : ffffffff8053c300 ffffffff8053c2e0 c0000000000524d8 c00000000005251b
        ffffffff80336b2c ffffffff80336644 0000000700000039 a800000000853d50
        0000000000000002 0000000000000039 a800000000853d50 0000000000000036
        0000000000000000 a800000000874000 c0000000000524d8 0000000000000001
        0000000000000039 a800000000853d50 0000000000000000 0000000000447134
        0000000000401060 ffffffff80336d7c a8000007008a6c00 000000138037b464
        a800000000874000 c0000000000524d8 00000000000000f0 0000000000000000
        0000000000447128 0000000000000000 00000000004470e8 ffffffff80337260
        0100000000874160 ffffffff802ccde0 a800000000874000 c000000000052330
        ffffffffffffffed c00000000004f050 ffffffff802e07ec ffffffff802e07d4
        ...
Call Trace:
 [<ffffffff80336b2c>] ide_pci_setup_ports+0x8bc/0x8c8
 [<ffffffff80336644>] ide_pci_setup_ports+0x3d4/0x8c8
 [<ffffffff80336d7c>] do_ide_setup_pci_device+0x244/0x5d0
 [<ffffffff80337260>] ide_setup_pci_device+0x28/0xd0
 [<ffffffff802ccde0>] kobject_get+0x20/0x38
 [<c00000000004f050>] it821x_init_one+0x50/0x60 [it821x]
 [<ffffffff802e07ec>] pci_device_probe+0x84/0xa8
 [<ffffffff802e07d4>] pci_device_probe+0x6c/0xa8
 [<ffffffff8031d238>] driver_probe_device+0x58/0x118
 [<ffffffff8031d4fc>] __driver_attach+0x10c/0x158
 [<ffffffff8031d3f0>] __driver_attach+0x0/0x158
 [<ffffffff8031c880>] bus_for_each_dev+0x58/0xb8
 [<ffffffff802cd490>] kobject_register+0x60/0x78
 [<ffffffff8031c2d0>] bus_add_driver+0xb8/0x1f8
 [<ffffffff802e0a4c>] __pci_register_driver+0x74/0xc8
 [<ffffffff802e0a4c>] __pci_register_driver+0x74/0xc8
 [<ffffffff8015fa3c>] sys_init_module+0x10c/0x2b0
 [<ffffffff80119654>] handle_sys+0x134/0x150
 [<ffffffff801d5740>] compat_sys_fcntl64+0x0/0x3b0


Code: de030960  14600003  dfbf0020 <0200000d> dfbf0020  dfb30018  dfb20010
dfb10008  dfb00000
CPU 1 Unable to handle kernel paging request at virtual address
000000000000901e, epc == ffffffff8032f010, ra == ffffffff8032b018
Oops[#2]:
Cpu 1
$ 0   : 0000000000000000 0000000030001fe1 ffffffff8053b6c0 0000000000000000
$ 4   : 00000000000000e0 000000000000901e 0000000000000000 ffffffff80422d28
$ 8   : a80000000fd6fac0 0000000000000000 00000000544d3130 00000000302d3234
$12   : 0000000000000020 ffffffff802d4b9c ffffffff80195da8 00000000004010c8
$16   : a80000000fad7c10 ffffffff8053b7d8 ffffffff8053b6c0 a800000000b5da00
$20   : 0000000000000000 0000000000000000 ffffffffffffffff 0000000000000400
$24   : 0000000000000029 ffffffff8032f008
$28   : a80000000fad4000 a80000000fad7ae0 000000007ffbc6dc ffffffff8032b018
Hi    : 0000000000000129
Lo    : 0000000000001a94
epc   : ffffffff8032f010 ide_mm_outb+0x8/0x10     Not tainted
ra    : ffffffff8032b018 ide_do_request+0x498/0xbf8
Status: 30001fe3    KX SX UX KERNEL EXL IE
Cause : 9080800c
BadVA : 000000000000901e
PrId  : 03040102
Modules linked in: it821x usbhid usbkbd uhci_hcd ehci_hcd ohci_hcd usbcore
pm2fb cfbcopyarea cfbimgblt cfbfillrect
Process ata_id (pid: 7434, threadinfo=a80000000fad4000,
task=a80000000060c0c8)
Stack : 0000000000000001 a80000000fad7d10 0000000000000008 ffffffff804d5060
        a80000000fe18000 ffffffff80510110 ffffffff80510108 0000000000000000
        a80000000138bee8 0000000000000000 a800000000b57350 a80000000fad7c10
        0000000030001fe1 ffffffff8053b7d8 a800000000b5da00 0000000000000001
        a80000000fad7ba8 ffffffff802b7260 a80000000fad7c10 0000000000000000
        0000000030001fe1 ffffffff8053b7d8 ffffffff8032b8c0 ffffffff8032b8c0
        000000002ab46330 000000008010c3ec 000000008011ca58 a80000000fad7bb8
        a80000000fad7bb8 0000000030001fe1 0000000000000000 a80000000fad7d60
        0000000000000000 ffffffff8053b7d8 a80000000fdcfea0 0000000000000001
        00000000004672a0 ffffffff80334b24 a800000000b57350 a800000000b57350
        ...
Call Trace:
 [<ffffffff802b7260>] elv_insert+0x160/0x268
 [<ffffffff8032b8c0>] ide_do_drive_cmd+0x148/0x1f8
 [<ffffffff8032b8c0>] ide_do_drive_cmd+0x148/0x1f8
 [<ffffffff80334b24>] ide_diag_taskfile+0xbc/0x100
 [<ffffffff802ba458>] blk_end_sync_rq+0x0/0x38
 [<ffffffff8033afdc>] ide_cacheflush_p+0xa4/0xe8
 [<ffffffff80334fe8>] task_no_data_intr+0x0/0xe0
 [<ffffffff8033b668>] idedisk_release+0x148/0x150
 [<ffffffff801a2870>] blkdev_put+0x188/0x1b0
 [<ffffffff801a2860>] blkdev_put+0x178/0x1b0
 [<ffffffff80197aa0>] __fput+0xb0/0x238
 [<ffffffff80197aa0>] __fput+0xb0/0x238
 [<ffffffff8019405c>] filp_close+0x6c/0xc0
 [<ffffffff80195e60>] sys_close+0xb8/0xf8
 [<ffffffff80119654>] handle_sys+0x134/0x150
 [<ffffffff80106eb0>] old_mmap+0x0/0x120


Code: 0000102d  00042000  308400ff <03e00008> a0a40000  00042000  3c020000
3c018042  64420000


Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.



Severity set to `normal' from `grave' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 404950@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: 404950@bugs.debian.org
Cc: ths@debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 29 Dec 2006 21:45:48 +0100 (MET)
On Fri, Dec 29, 2006 at 04:09:44PM +0100, Karsten Merker wrote:

[d-i etch rc1 on SWARM/BCM91250a (mips/big-endian mode)]

> Comments/Problems:
> ==================
> 
> In the step "detecting hard drives" a reproducible kernel panic
> occurs (log follows below).
> 
> RC1 uses a 2.6.17 kernel. Not sure whether this is relevant in
> this case, but according to the git commit logs there have been
> changes to the SWARM IDE code in the Linux/MIPS tree with regard
> to 2.6.17 and 2.6.18 in November/December 2006.

Further investigation has shown that the problem seems to be
caused by an add-on PCI-card with an IDE controller based on 
the ITE IT8212 chipset and not by the onboard IDE controller.
With the card removed, the kernel panic does not occur.


Additional observations during the installation
===============================================

In the step "Detecting disks and all other hardware" another
error gets displayed: "Error while running 'modprobe -v
amd74xx'", but it does not cause any further problems. Dmesg
reveals that the module loader cannot resolve a kernel symbol:
"amd74xx: Unknown symbol pci_get_legacy_ide_irq". It looks
like this issue is already fixed upstream in the Linux/MIPS
git repository, cf.
http://www.linux-mips.org/git?p=linux.git;a=commit;h=49a3ea926ff0cc6c5af15d79bfbab075991f5dab


In the partitioner I chose manual partitioning as there were
existing partitions that needed to be kept. Partition table
layout is MS-DOS style with the first partition being the
bootloader (sibyl) partition.

Partition layout was

hda1:  8,2MB  sibyl (bootloader partition)
hda2: 98,7MB  ext3  /boot
hda3: 20,0GB  ext3  /

(see http://people.debian.org/~merker/bug-404950/snapshot14.png
for a screenshot)

What makes me wonder is the text of the messages in the next two steps:

"The following partitions are going to be formatted:
   partition #3 of IDE1 master, partition # (hda) as ext3
   partition #7 of IDE1 master, partition # (hda) as ext3
                                ^^^^^^^^^^^^^^^^^
 Write the changes to disk?"

and

"Partitions formatting

 Creating ext3 file system for / in partition #3 of IDE1 master,
 partition # (hda)..."
 ^^^^^^^^^^^^^^^^^

The underlined part looks strange to me, I assume this
is not the intended output at this point? For the original
screen layout please see

http://people.debian.org/~merker/bug-404950/snapshot15.png
http://people.debian.org/~merker/bug-404950/snapshot16.png

The rest of the installation ran ok up to the reboot.
When trying to start the installed system, sibyl, the bootloader,
loads kernel and initrd from the harddisk, but the kernel freezes
immediately. This seems to be a problem with the installed
2.6.18 kernel. It is the same effect as in bug number #404951.

Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Cc: ths@debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 29 Dec 2006 22:25:05 +0100
* Karsten Merker <merker@debian.org> [2006-12-29 21:45]:
> In the step "Detecting disks and all other hardware" another
> error gets displayed: "Error while running 'modprobe -v
> amd74xx'", but it does not cause any further problems. Dmesg
> reveals that the module loader cannot resolve a kernel symbol:
> "amd74xx: Unknown symbol pci_get_legacy_ide_irq". It looks
> like this issue is already fixed upstream in the Linux/MIPS
> git repository, cf.
> http://www.linux-mips.org/git?p=linux.git;a=commit;h=49a3ea926ff0cc6c5af15d79bfbab075991f5dab

Thanks, I'll add that patch.

> What makes me wonder is the text of the messages in the next two steps:
> 
> "The following partitions are going to be formatted:
>    partition #3 of IDE1 master, partition # (hda) as ext3
>    partition #7 of IDE1 master, partition # (hda) as ext3
>                                 ^^^^^^^^^^^^^^^^^

Not sure about this.  Looks strange.

> The rest of the installation ran ok up to the reboot.  When trying
> to start the installed system, sibyl, the bootloader, loads kernel
> and initrd from the harddisk, but the kernel freezes immediately.
> This seems to be a problem with the installed 2.6.18 kernel. It is
> the same effect as in bug number #404951.

Thiemo, do you know why 2.6.18 doesn't boot?  If not, Karsten, do you
have time to bisect 2.6.17 and 2.6.18 to see where the problem lies.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #22 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 29 Dec 2006 22:48:08 +0100
[Message part 1 (text/plain, inline)]
On Friday 29 December 2006 21:45, Karsten Merker wrote:
> (see http://people.debian.org/~merker/bug-404950/snapshot14.png
> for a screenshot)
>
> What makes me wonder is the text of the messages in the next two steps:
> "The following partitions are going to be formatted:
>    partition #3 of IDE1 master, partition # (hda) as ext3
>    partition #7 of IDE1 master, partition # (hda) as ext3

Right, thanks a lot for providing the details and screenshots. That really 
does make things a lot easier.

Note that the problem is already visible on your *first* screenshot:
     IDE1 master, partition # (hda) - 160.0 GB SAMSUNG SP1604N
which should just be:
     IDE1 master (hda) - 160.0 GB SAMSUNG SP1604N

So what seems to be happening is that in your case the ", partition #" bit 
is getting included after the "master/slave" bit for some reason.

I'll try if I can reproduce this myself, but I suspect the arch may be a 
factor here. If not I'll see what debugging is needed to trace this (a 
few 'set -x' in the right place should do it) and let you know.

If you want to take a shot at this yourself in the mean time, adding 
a 'set -x' at the top of /lib/partman/definitions.sh (before starting the 
partitioning stage of course) will give an almost full trace (and thus 
huge!) in the syslog, which you can most easily view by starting the mini 
webserver in d-i using the "Save debug logs" in the menu.
Feel free to send that syslog (gzipped) to the BR.

This is nasty (and probably simple) enough that I'd like to try to fix 
this before RC2.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 404950@bugs.debian.org
Cc: Karsten Merker <merker@debian.org>
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Thu, 04 Jan 2007 05:40:28 +0100
[Message part 1 (text/plain, inline)]
On Friday 29 December 2006 22:48, Frans Pop wrote:
> I'll try if I can reproduce this myself, but I suspect the arch may be
> a factor here. If not I'll see what debugging is needed to trace this
> (a few 'set -x' in the right place should do it) and let you know.

I think I'll need a log from you to find this.

Could you edit the file /lib/partman/definitions.sh (before starting 
partman; using 'nano') and in the function "humandev" add a 'set -x' at 
the top and 'set -x' at the bottom.
That should show what is happening in the syslog.

Please send the syslog (gzipped). You should be able to get it easily 
using the "Save debug logs" option in the installer's main menu.

Note that you don't need to destroy any existing install for this: just 
start the partitioner, select "manual partitioning", and select "Go Back" 
when you get to the main screen of partman.

TIA,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 404950@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: 404950@bugs.debian.org
Cc: Frans Pop <elendil@planet.nl>
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Thu, 4 Jan 2007 13:22:10 +0100 (MET)
On Thu, Jan 04, 2007 at 05:40:28AM +0100, Frans Pop wrote:
> On Friday 29 December 2006 22:48, Frans Pop wrote:
> > I'll try if I can reproduce this myself, but I suspect the arch may be
> > a factor here. If not I'll see what debugging is needed to trace this
> > (a few 'set -x' in the right place should do it) and let you know.
> 
> I think I'll need a log from you to find this.

Strange - I had already sent a bzip2'd full debug log to the BTS
on 2006/12/30, but it never seems to have arrived there. The mail
was ~180kB - is this perhaps too large to be accepted by the BTS?

> Could you edit the file /lib/partman/definitions.sh (before starting 
> partman; using 'nano') and in the function "humandev" add a 'set -x' at 
> the top and 'set -x' at the bottom.
> That should show what is happening in the syslog.

I'll do that as soon as I can, but that will probably not be
before tomorrow. If you want, I can try to bounce the original
full debug log to the BTS again (that was with "set -x" for the
whole script, not just for the humandev function).

Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to 404950@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Thu, 04 Jan 2007 16:48:09 +0100
[Message part 1 (text/plain, inline)]
On Friday 29 December 2006 21:45, Karsten Merker wrote:
> "The following partitions are going to be formatted:
>    partition #3 of IDE1 master, partition # (hda) as ext3
>    partition #7 of IDE1 master, partition # (hda) as ext3
>                                 ^^^^^^^^^^^^^^^^^

Karsten has mailed me the full partman log privately, and from that the 
cause of the problem shows very clearly.

The device that is passed to partman is:
/dev/ide/host0/bus0/target0/lun0/part

The code in partman that interprets this expects either:
/dev/ide/host0/bus0/target0/lun0/disc
/dev/ide/host0/bus0/target0/lun0/part1

But in this case, "part" without a partition number seems to be used for 
the whole disk, which perfectly explains the display as a partition 
without partition number.
We could support this in the relevant partman function, but I'd like to 
know if this use of "part" to indicate the whole disk is valid first. It 
could also be a bug, either in the kernel or in udev's devfs 
compatibility code.

So, my follow-up questions:
- what is the output of 'cd /dev/ide/host0/bus0/target0/lun0/; ls -l'?
- what is the non-devfs representation of this disk (e.g. /dev/hda*) and
  what devices are present for that?
- what driver is being used for this disk controller?

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 404950@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Thu, 4 Jan 2007 20:30:32 +0100 (MET)
On Thu, Jan 04, 2007 at 04:48:09PM +0100, Frans Pop wrote:
> On Friday 29 December 2006 21:45, Karsten Merker wrote:
> > "The following partitions are going to be formatted:
> >    partition #3 of IDE1 master, partition # (hda) as ext3
> >    partition #7 of IDE1 master, partition # (hda) as ext3
> >                                 ^^^^^^^^^^^^^^^^^
> 
> Karsten has mailed me the full partman log privately, and from that the 
> cause of the problem shows very clearly.
> 
> The device that is passed to partman is:
> /dev/ide/host0/bus0/target0/lun0/part
> 
> The code in partman that interprets this expects either:
> /dev/ide/host0/bus0/target0/lun0/disc
> /dev/ide/host0/bus0/target0/lun0/part1
> 
> But in this case, "part" without a partition number seems to be used for 
> the whole disk, which perfectly explains the display as a partition 
> without partition number.
> We could support this in the relevant partman function, but I'd like to 
> know if this use of "part" to indicate the whole disk is valid first. It 
> could also be a bug, either in the kernel or in udev's devfs 
> compatibility code.
> 
> So, my follow-up questions:
> - what is the output of 'cd /dev/ide/host0/bus0/target0/lun0/; ls -l'?

~ # cd /dev/ide/host0/bus0/target0/lun0/; ls -l
brw-rw----    1 root     root       3,   0 Jan  4 19:07 part
brw-rw----    1 root     root       3,   1 Jan  4 19:07 part1
brw-rw----    1 root     root       3,   2 Jan  4 19:07 part2
brw-rw----    1 root     root       3,   3 Jan  4 19:07 part3
brw-rw----    1 root     root       3,   4 Jan  4 19:07 part4
brw-rw----    1 root     root       3,   5 Jan  4 19:07 part5
brw-rw----    1 root     root       3,   6 Jan  4 19:07 part6
brw-rw----    1 root     root       3,   7 Jan  4 19:07 part7
brw-rw----    1 root     root       3,   8 Jan  4 19:07 part8
/dev/ide/host0/bus0/target0/lun0 #

> - what is the non-devfs representation of this disk (e.g. /dev/hda*) and
>   what devices are present for that?

~ # ls -l /dev/hda*
lrwxrwxrwx    1 root     root           32 Jan  4 19:07 /dev/hda ->
ide/host0/bus0/target0/lun0/part
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda1 ->
ide/host0/bus0/target0/lun0/part1
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda2 ->
ide/host0/bus0/target0/lun0/part2
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda3 ->
ide/host0/bus0/target0/lun0/part3
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda4 ->
ide/host0/bus0/target0/lun0/part4
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda5 ->
ide/host0/bus0/target0/lun0/part5
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda6 ->
ide/host0/bus0/target0/lun0/part6
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda7 ->
ide/host0/bus0/target0/lun0/part7
lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda8 ->
ide/host0/bus0/target0/lun0/part8
~ #

> - what driver is being used for this disk controller?

Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
SWARM IDE driver
ide-swarm: IDE interface at GenBus slot 4
Probing IDE interface ide0...
hda: SAMSUNG SP1604N, ATA DISK drive
hdb: IBM-DHEA-36481, ATA DISK drive
ide0 at 0x90000000100b3e00-0x90000000100b3e07,0x90000000100b7ec0 on irq 36
hda: max request size: 512KiB
hda: 312581808 sectors (160041 MB) w/2048KiB Cache, CHS=19457/255/63
hda: cache flushes supported
 hda: hda1 hda2 hda3 hda4 < hda5 hda6 hda7 hda8 >
hdb: max request size: 128KiB
hdb: 12692736 sectors (6498 MB) w/472KiB Cache, CHS=12592/16/63
hdb: cache flushes not supported
 hdb: hdb1 hdb2 hdb3 hdb4 < hdb5 >

AFAIK the driver uses the generic IDE support, just initialization
is platform specific. Please cf.

http://www.linux-mips.org/git?p=linux.git;a=blob;f=drivers/ide/mips/swarm.c;h=09c9e7936b0dff79c5d44f84732a003f910ca2f5;hb=linux-2.6.18-stable

Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 404950@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 5 Jan 2007 01:22:40 +0100 (MET)
On Thu, Jan 04, 2007 at 08:30:32PM +0100, Karsten Merker wrote:
> On Thu, Jan 04, 2007 at 04:48:09PM +0100, Frans Pop wrote:

> > The device that is passed to partman is:
> > /dev/ide/host0/bus0/target0/lun0/part
> > 
> > The code in partman that interprets this expects either:
> > /dev/ide/host0/bus0/target0/lun0/disc
> > /dev/ide/host0/bus0/target0/lun0/part1
> > 
> > But in this case, "part" without a partition number seems to be used for 
> > the whole disk, which perfectly explains the display as a partition 
> > without partition number.
> > We could support this in the relevant partman function, but I'd like to 
> > know if this use of "part" to indicate the whole disk is valid first. It 
> > could also be a bug, either in the kernel or in udev's devfs 
> > compatibility code.
> > 
> > So, my follow-up questions:
> > - what is the output of 'cd /dev/ide/host0/bus0/target0/lun0/; ls -l'?
> 
> ~ # cd /dev/ide/host0/bus0/target0/lun0/; ls -l
> brw-rw----    1 root     root       3,   0 Jan  4 19:07 part
> brw-rw----    1 root     root       3,   1 Jan  4 19:07 part1

> > - what is the non-devfs representation of this disk (e.g. /dev/hda*) and
> >   what devices are present for that?
> 
> ~ # ls -l /dev/hda*
> lrwxrwxrwx    1 root     root           32 Jan  4 19:07 /dev/hda ->
> ide/host0/bus0/target0/lun0/part
> lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda1 ->
> ide/host0/bus0/target0/lun0/part1

To narrow down the possible reasons for this behaviour I have done some
further tests:

- Configuring the machine to little endian mode (mipsel)
  does not change anything, so it is not endianess-related.

- On another mipsel machine (Cobalt NASRaQ) which uses the
  integrated PCI IDE controller of its VIA vt82c586a southbridge,
  everything looks normal:

  ~ # cd /dev/ide/host0/bus0/target0/lun0/; ls -l
  brw-rw----    1 root     root       3,   0 Jan  1 00:00 disc
  brw-rw----    1 root     root       3,   1 Jan  1 00:00 part1

Besides the different IDE controllers and their drivers there is
one other difference between the two: the SWARM uses a 64bit
kernel while the Cobalt uses a 32bit kernel. Userland is 32bit in
both cases.

Regards,
Karsten
-- 
#include <standard_disclaimer>
Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
Meinungsforschung.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#404950; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 404950@bugs.debian.org
Cc: 404950-submitter@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Fri, 05 Jan 2007 07:12:15 +0100
[Message part 1 (text/plain, inline)]
On Thursday 04 January 2007 16:48, Frans Pop wrote:
> The device that is passed to partman is:
> /dev/ide/host0/bus0/target0/lun0/part
>
> The code in partman that interprets this expects either:
> /dev/ide/host0/bus0/target0/lun0/disc
> /dev/ide/host0/bus0/target0/lun0/part1
>
> But in this case, "part" without a partition number seems to be used
> for the whole disk, which perfectly explains the display as a partition
> without partition number.
> We could support this in the relevant partman function, but I'd like to
> know if this use of "part" to indicate the whole disk is valid first.
> It could also be a bug, either in the kernel or in udev's devfs
> compatibility code.

This is definitely not udev devfs compatibility code as that only affects 
what's in /dev/discs/....
This issue is in /dev/ide/..., so this is either the kernel or "regular" 
udev device creation code.
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Karsten Merker <merker@debian.org>:
Bug#404950. Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `partman-base'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 404950@bugs.debian.org
Cc: Karsten Merker <merker@debian.org>, linux-2.6@packages.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Wed, 24 Jan 2007 22:58:57 +0100
[Message part 1 (text/plain, inline)]
retitle 404950 [mips] Disk is advertised as partition on SWARM (Broadcom BCM91250a)
clone 404950 -1
reassign 404950 parman-base
reassign -1 linux-2.6 2.6.18-7
block 404950 with -1
thanks

On Friday 05 January 2007 01:22, Karsten Merker wrote:
> ~ # ls -l /dev/hda*
> lrwxrwxrwx    1 root     root           32 Jan  4 19:07 /dev/hda ->
> ide/host0/bus0/target0/lun0/part
> lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda1 ->
> ide/host0/bus0/target0/lun0/part1

According to Thiemo this is most likely a mips kernel issue. Therefore
cloning the BR to the kernel and blocking the partman issue with that.

The issue has been worked around in partman-base (function humandev in
definitions.sh) by adding code that recognizes .../lun0/part (without
partition number) as a disk; leaving partman bug open as the workaround
should be removed once the kernel bug is fixed.
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 404950 cloned as bug 408317. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `partman-base' to `parman-base'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs of 404950 added: 408317 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `parman-base' to `partman-base'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to 404950@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 404950@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 404950@bugs.debian.org
Cc: Karsten Merker <merker@debian.org>
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Mon, 29 Jan 2007 20:13:08 +0100
[Message part 1 (text/plain, inline)]
On Wednesday 24 January 2007 22:58, Frans Pop wrote:
> The issue has been worked around in partman-base (function humandev in
> definitions.sh) by adding code that recognizes .../lun0/part (without
> partition number) as a disk; leaving partman bug open as the workaround
> should be removed once the kernel bug is fixed.

Hello Karsten,

Could you give a daily built image a try? It should display things better 
now. Best wait until tomorrow to be 100% sure that the new version in 
included in the image.

TIA,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Sun, 20 Jan 2008 18:44:18 +0100
Karsten, can you check if this problem is still there with current
kernels?  i.e. 2.6.23 or 2.6.24


* Karsten Merker <merker@debian.org> [2007-01-05 01:22]:
> On Thu, Jan 04, 2007 at 08:30:32PM +0100, Karsten Merker wrote:
> > On Thu, Jan 04, 2007 at 04:48:09PM +0100, Frans Pop wrote:
> 
> > > The device that is passed to partman is:
> > > /dev/ide/host0/bus0/target0/lun0/part
> > > 
> > > The code in partman that interprets this expects either:
> > > /dev/ide/host0/bus0/target0/lun0/disc
> > > /dev/ide/host0/bus0/target0/lun0/part1
> > > 
> > > But in this case, "part" without a partition number seems to be used for 
> > > the whole disk, which perfectly explains the display as a partition 
> > > without partition number.
> > > We could support this in the relevant partman function, but I'd like to 
> > > know if this use of "part" to indicate the whole disk is valid first. It 
> > > could also be a bug, either in the kernel or in udev's devfs 
> > > compatibility code.
> > > 
> > > So, my follow-up questions:
> > > - what is the output of 'cd /dev/ide/host0/bus0/target0/lun0/; ls -l'?
> > 
> > ~ # cd /dev/ide/host0/bus0/target0/lun0/; ls -l
> > brw-rw----    1 root     root       3,   0 Jan  4 19:07 part
> > brw-rw----    1 root     root       3,   1 Jan  4 19:07 part1
> 
> > > - what is the non-devfs representation of this disk (e.g. /dev/hda*) and
> > >   what devices are present for that?
> > 
> > ~ # ls -l /dev/hda*
> > lrwxrwxrwx    1 root     root           32 Jan  4 19:07 /dev/hda ->
> > ide/host0/bus0/target0/lun0/part
> > lrwxrwxrwx    1 root     root           33 Jan  4 19:07 /dev/hda1 ->
> > ide/host0/bus0/target0/lun0/part1
> 
> To narrow down the possible reasons for this behaviour I have done some
> further tests:
> 
> - Configuring the machine to little endian mode (mipsel)
>   does not change anything, so it is not endianess-related.
> 
> - On another mipsel machine (Cobalt NASRaQ) which uses the
>   integrated PCI IDE controller of its VIA vt82c586a southbridge,
>   everything looks normal:
> 
>   ~ # cd /dev/ide/host0/bus0/target0/lun0/; ls -l
>   brw-rw----    1 root     root       3,   0 Jan  1 00:00 disc
>   brw-rw----    1 root     root       3,   1 Jan  1 00:00 part1
> 
> Besides the different IDE controllers and their drivers there is
> one other difference between the two: the SWARM uses a 64bit
> kernel while the Cobalt uses a 32bit kernel. Userland is 32bit in
> both cases.
> 
> Regards,
> Karsten
> -- 
> #include <standard_disclaimer>
> Nach Paragraph 28 Abs. 3 Bundesdatenschutzgesetz widerspreche ich der Nutzung
> oder Uebermittlung meiner Daten fuer Werbezwecke oder fuer die Markt- oder
> Meinungsforschung.
> 
> 

-- 
Martin Michlmayr
http://www.cyrius.com/




Owner recorded as Martin Michlmayr <tbm@cyrius.com>. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 20 Jan 2008 17:54:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Karsten Merker <merker@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>, Martin Michlmayr <tbm@cyrius.com>. Full text and rfc822 format available.

Message #91 received at 404950@bugs.debian.org (full text, mbox):

From: Karsten Merker <merker@debian.org>
To: 404950@bugs.debian.org
Cc: Martin Michlmayr <tbm@cyrius.com>
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Mon, 21 Jan 2008 21:54:17 +0100
On Sun, Jan 20, 2008 at 06:44:18PM +0100, Martin Michlmayr wrote:

> Karsten, can you check if this problem is still there with current
> kernels?  i.e. 2.6.23 or 2.6.24

I'll check it, but I probably won't be able to do so before
next week.

Regards,
Karsten
-- 
Gem. Par. 28 Abs. 4 Bundesdatenschutzgesetz widerspreche ich der Nutzung
sowie der Weitergabe meiner personenbezogenen Daten für Zwecke der
Werbung sowie der Markt- oder Meinungsforschung.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #96 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Tue, 10 Jun 2008 11:23:00 +0200
* Karsten Merker <merker@debian.org> [2008-01-21 21:54]:
> > Karsten, can you check if this problem is still there with current
> > kernels?  i.e. 2.6.23 or 2.6.24
> 
> I'll check it, but I probably won't be able to do so before
> next week.

Karsten, did you ever find time to check this?

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #101 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Sat, 26 Jul 2008 13:37:37 -0700
* Martin Michlmayr <tbm@cyrius.com> [2008-06-10 11:23]:
> * Karsten Merker <merker@debian.org> [2008-01-21 21:54]:
> > > Karsten, can you check if this problem is still there with current
> > > kernels?  i.e. 2.6.23 or 2.6.24
> > 
> > I'll check it, but I probably won't be able to do so before
> > next week.
> 
> Karsten, did you ever find time to check this?

Karsten?
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #106 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Subject: Re: Bug#404950: Installation Report [mips] [rc1] [Failure] SWARM (Broadcom BCM91250a)
Date: Tue, 9 Sep 2008 15:01:00 +0300
Karsten,

Do you actually still have your SWARM?


* Martin Michlmayr <tbm@cyrius.com> [2008-07-26 13:37]:
> * Martin Michlmayr <tbm@cyrius.com> [2008-06-10 11:23]:
> > * Karsten Merker <merker@debian.org> [2008-01-21 21:54]:
> > > > Karsten, can you check if this problem is still there with current
> > > > kernels?  i.e. 2.6.23 or 2.6.24
> > > 
> > > I'll check it, but I probably won't be able to do so before
> > > next week.
> > 
> > Karsten, did you ever find time to check this?
> 
> Karsten?
> -- 
> Martin Michlmayr
> http://www.cyrius.com/

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. (Wed, 29 Oct 2008 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 29 Oct 2008 06:45:03 GMT) Full text and rfc822 format available.

Message #111 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Cc: Thiemo Seufer <ths@networkno.de>
Subject: Re: Bug#404950: Disk is advertised as partition on SWARM
Date: Wed, 29 Oct 2008 07:41:36 +0100
Thiemo, do you see this bug with 2.6.26?  Or, rather, does IDE work at
all?  I know some new SWARM IDE patches went into 2.6.27, so I've no
idea if 2.6.26 works at all.

-- 
Martin Michlmayr
http://www.cyrius.com/




Removed annotation that Bug was owned by Martin Michlmayr <tbm@cyrius.com>. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Wed, 29 Oct 2008 07:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#404950; Package partman-base. (Sat, 07 Mar 2009 21:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 07 Mar 2009 21:39:05 GMT) Full text and rfc822 format available.

Message #118 received at 404950@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Karsten Merker <merker@debian.org>, 404950@bugs.debian.org
Cc: Peter 'p2' De Schrijver <p2@debian.org>
Subject: Re: Bug#404950: Disk is advertised as partition on SWARM
Date: Sat, 7 Mar 2009 22:23:07 +0100
For the record, p2 promised to look into this bug (i.e. verify whether
it's still there with current kernels).

-- 
Martin Michlmayr
http://www.cyrius.com/




Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. (Wed, 25 Nov 2009 18:51:14 GMT) Full text and rfc822 format available.

Notification sent to Karsten Merker <merker@debian.org>:
Bug acknowledged by developer. (Wed, 25 Nov 2009 18:51:14 GMT) Full text and rfc822 format available.

Message #123 received at 404950-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 404950-done@bugs.debian.org
Subject: No longer supported
Date: Wed, 25 Nov 2009 18:45:47 +0000
I'm closing this bug because a) we never got the info we needed and b)
this system is no longer supported by d-i.
-- 
Martin Michlmayr
http://www.cyrius.com/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Dec 2009 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:37:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.